Skip to main content
GET
/
metadata
/
credentials
/
{credentialName}
Retrieve credential structure for an app
curl --request GET \
  --url https://production.runalloy.com/metadata/credentials/{credentialName} \
  --header 'x-api-version: <x-api-version>'
import requests

url = "https://production.runalloy.com/metadata/credentials/{credentialName}"

headers = {"x-api-version": "<x-api-version>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-version': '<x-api-version>'}};

fetch('https://production.runalloy.com/metadata/credentials/{credentialName}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "connector": "shopify",
    "icon": "https://cdn.runalloy.com/icons/shopify.png",
    "isOauth": true,
    "properties": [
      {
        "name": "shopSubdomain",
        "displayName": "Shop Subdomain",
        "description": "Enter your store subdomain. If your store domain is example.myshopify.com, the subdomain would be example."
      }
    ]
  }
}
"{}"

Headers

Authorization
string
default:bearer YOUR_API_KEY
x-api-version
string
default:2025-09
required

The version of the API to use. The current API version is 2025-09.

Path Parameters

credentialName
string
required

Name of connector (camelCased, can be found in App Metadata response)

Response

200

data
object